package com.ruoyi.basetyre.service;

import java.util.List;
import com.ruoyi.basetyre.domain.BaseTyre;

/**
 * 轮胎Service接口
 * 
 * @author Yangwl
 * @date 2023-02-15
 */
public interface IBaseTyreService 
{
    /**
     * 查询轮胎
     * 
     * @param id 轮胎主键
     * @return 轮胎
     */
    public BaseTyre selectBaseTyreById(String id);

    /**
     * 查询轮胎列表
     * 
     * @param baseTyre 轮胎
     * @return 轮胎集合
     */
    public List<BaseTyre> selectBaseTyreList(BaseTyre baseTyre);

    /**
     * 新增轮胎
     * 
     * @param baseTyre 轮胎
     * @return 结果
     */
    public int insertBaseTyre(BaseTyre baseTyre);

    /**
     * 修改轮胎
     * 
     * @param baseTyre 轮胎
     * @return 结果
     */
    public int updateBaseTyre(BaseTyre baseTyre);

    /**
     * 批量删除轮胎
     * 
     * @param ids 需要删除的轮胎主键集合
     * @return 结果
     */
    public int deleteBaseTyreByIds(String[] ids);

    /**
     * 删除轮胎信息
     * 
     * @param id 轮胎主键
     * @return 结果
     */
    public int deleteBaseTyreById(String id);
}
